Enable/disable asynchronous signal handling or return the old setting

- « pcntl_alarm

- pcntl_errno »

- PHP Manual
- PCNTL Functions
- Enable/disable asynchronous signal handling or return the old setting

# pcntl_async_signals

(PHP 7 >= 7.1.0, PHP 8)

pcntl_async_signals — Enable/disable asynchronous signal handling or return the old setting

### Description

pcntl_async_signals(?bool `$enable` = `null`): bool

If the `enable` parameter is `null`, pcntl_async_signals() returns whether asynchronous signal handling is enabled. Otherwise, asynchronous signal handling is enabled or disabled.

### Parameters

`enable`

  Whether asynchronous signal handling should be enabled.

### Return Values

When used as getter (`enable` parameter is `null`) it returns whether asynchronous signal handling is enabled. When used as setter (`enable` parameter is not `null`), it returns whether asynchronous signal handling was enabled before the function call.

### Changelog

Version | Description
--- | ---
8.0.0 | `enable` is nullable now.

### See Also

- declare